Index: trunk/source/processes/electromagnetic/lowenergy/include/G4LowEnergyPhotoElectric.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4LowEnergyPhotoElectric.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4LowEnergyPhotoElectric.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LowEnergyPhotoElectric.hh,v 1.28 2006/06/29 19:36:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: A. Forti
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4LowEnergyPolarizedCompton.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4LowEnergyPolarizedCompton.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4LowEnergyPolarizedCompton.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LowEnergyPolarizedCompton.hh,v 1.10 2008/05/02 13:04:41 flongo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4LowEnergyPolarizedRayleigh.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4LowEnergyPolarizedRayleigh.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4LowEnergyPolarizedRayleigh.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LowEnergyPolarizedRayleigh.hh,v 1.5 2006/06/29 19:36:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4LowEnergyRayleigh.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4LowEnergyRayleigh.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4LowEnergyRayleigh.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LowEnergyRayleigh.hh,v 1.16 2006/06/29 19:36:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PaulKCrossSection.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PaulKCrossSection.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PaulKCrossSection.hh	(revision 1228)
@@ -25,16 +25,4 @@
 //
 // 
-// History:
-// -----------
-//  21 Apr 2008   H. Abdelohauwed - 1st implementation
-//  29 Apr 2009   ALF  Major Design Revision
-//
-// -------------------------------------------------------------------
-
-// Class description:
-// Low Energy Electromagnetic Physics, Cross section, p ionisation, K shell
-// Further documentation available from http://www.ge.infn.it/geant4/lowE
-
-// -------------------------------------------------------------------
 
 
@@ -42,10 +30,6 @@
 #define G4PAULKCROSSSECTION_HH 1
 
-//#include "G4VDataSetAlgorithm.hh"
 #include "globals.hh"
-#include <map>
 
-class G4VDataSetAlgorithm;
-class G4VEMDataSet;
 
 class G4PaulKCrossSection 
@@ -58,7 +42,10 @@
   virtual ~G4PaulKCrossSection();
 			     
-  G4double CalculateKCrossSection(G4int zTarget,G4double massIncident, G4double energyIncident);
+  G4double CalculateKCrossSection(G4int zTarget,G4int zIncident, G4double energyIncident);
 				    
  
+
+   
+
 private:
 
@@ -67,11 +54,4 @@
   G4PaulKCrossSection & operator = (const G4PaulKCrossSection &right);
 
-  G4VDataSetAlgorithm* interpolation;
-
-  std::map< G4int , G4VEMDataSet* > protonDataSetMap;
-
-  std::map< G4int , G4VEMDataSet* > alphaDataSetMap;
-  
-
 };
 
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeAnnihilationModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeAnnihilationModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeAnnihilationModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeAnnihilationModel.hh,v 1.1 2008/11/04 10:14:56 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeBremsstrahlung.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeBremsstrahlung.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeBremsstrahlung.hh	(revision 1228)
@@ -27,5 +27,5 @@
 // -------------------------------------------------------------------
 // $Id: G4PenelopeBremsstrahlung.hh,v 1.8 2006/06/29 19:36:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: L.Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeBremsstrahlungAngular.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeBremsstrahlungAngular.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeBremsstrahlungAngular.hh	(revision 1228)
@@ -27,5 +27,5 @@
 // -------------------------------------------------------------------
 // $Id: G4PenelopeBremsstrahlungAngular.hh,v 1.3 2006/06/29 19:36:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: L.Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeBremsstrahlungContinuous.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeBremsstrahlungContinuous.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeBremsstrahlungContinuous.hh	(revision 1228)
@@ -27,5 +27,5 @@
 // -------------------------------------------------------------------
 // $Id: G4PenelopeBremsstrahlungContinuous.hh,v 1.4 2008/12/09 15:04:05 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: L.Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeBremsstrahlungModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeBremsstrahlungModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeBremsstrahlungModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeBremsstrahlungModel.hh,v 1.2 2009/04/17 10:29:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeCompton.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeCompton.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeCompton.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeCompton.hh,v 1.11 2008/03/26 15:30:19 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeComptonModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeComptonModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeComptonModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeComptonModel.hh,v 1.3 2009/10/21 14:56:47 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeGammaConversion.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeGammaConversion.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeGammaConversion.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PenelopeGammaConversion.hh,v 1.2 2006/06/29 19:36:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: L. Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeGammaConversionModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeGammaConversionModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeGammaConversionModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeGammaConversionModel.hh,v 1.1 2008/10/28 08:50:21 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeIonisation.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeIonisation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 // -------------------------------------------------------------------
 // $Id: G4PenelopeIonisation.hh,v 1.5 2006/06/29 19:36:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: L. Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeIonisationModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeIonisationModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeIonisationModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeIonisationModel.hh,v 1.3 2009/10/21 14:56:47 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopePhotoElectric.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopePhotoElectric.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopePhotoElectric.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PenelopePhotoElectric.hh,v 1.4 2006/06/29 19:36:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: L.Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopePhotoElectricModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopePhotoElectricModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopePhotoElectricModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopePhotoElectricModel.hh,v 1.2 2009/10/21 10:47:02 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeRayleigh.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeRayleigh.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeRayleigh.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PenelopeRayleigh.hh,v 1.5 2006/06/29 19:36:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeRayleighModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeRayleighModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4PenelopeRayleighModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PenelopeRayleighModel.hh,v 1.1 2008/10/28 08:50:21 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Luciano Pandola
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4RangeNoTest.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4RangeNoTest.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4RangeNoTest.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RangeNoTest.hh,v 1.4 2006/06/29 19:36:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4RangeTest.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4RangeTest.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4RangeTest.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RangeTest.hh,v 1.4 2006/06/29 19:36:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4RayleighScattering.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4RayleighScattering.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4RayleighScattering.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RayleighScattering.hh,v 1.2 2009/03/18 13:45:51 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //------------------ G4RayleighScattering physics process -----------------------
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4SemiLogInterpolation.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4SemiLogInterpolation.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4SemiLogInterpolation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SemiLogInterpolation.hh,v 1.5 2009/09/25 07:41:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4ShellData.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4ShellData.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4ShellData.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ShellData.hh,v 1.7 2008/03/17 13:45:25 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4ShellEMDataSet.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4ShellEMDataSet.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4ShellEMDataSet.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ShellEMDataSet.hh,v 1.13 2009/09/25 07:41:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4VCrossSectionHandler.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4VCrossSectionHandler.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4VCrossSectionHandler.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCrossSectionHandler.hh,v 1.15 2009/09/25 07:41:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4VDataSetAlgorithm.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4VDataSetAlgorithm.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4VDataSetAlgorithm.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VDataSetAlgorithm.hh,v 1.8 2009/09/25 07:41:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4VEMDataSet.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4VEMDataSet.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4VEMDataSet.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VEMDataSet.hh,v 1.13 2009/09/25 07:41:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4VLowEnergyDiscretePhotonProcess.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4VLowEnergyDiscretePhotonProcess.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4VLowEnergyDiscretePhotonProcess.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VLowEnergyDiscretePhotonProcess.hh,v 1.4 2006/06/29 19:37:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4VLowEnergyTestableDiscreteProcess.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4VLowEnergyTestableDiscreteProcess.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4VLowEnergyTestableDiscreteProcess.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VLowEnergyTestableDiscreteProcess.hh,v 1.3 2006/06/29 19:37:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4VRangeTest.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4VRangeTest.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4VRangeTest.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VRangeTest.hh,v 1.3 2006/06/29 19:37:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4VeLowEnergyLoss.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4VeLowEnergyLoss.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4VeLowEnergyLoss.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VeLowEnergyLoss.hh,v 1.9 2006/06/29 19:37:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 3.4.2000 Veronique Lefebure:
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4WaterExcitationStructure.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4WaterExcitationStructure.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4WaterExcitationStructure.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4WaterExcitationStructure.hh,v 1.1 2007/10/15 08:33:25 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4WaterIonisationStructure.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4WaterIonisationStructure.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4WaterIonisationStructure.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4WaterIonisationStructure.hh,v 1.1 2007/11/08 20:38:40 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4eBremsstrahlungSpectrum.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4eBremsstrahlungSpectrum.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4eBremsstrahlungSpectrum.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eBremsstrahlungSpectrum.hh,v 1.8 2006/06/29 19:37:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4eCrossSectionExcitationEmfietzoglou.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4eCrossSectionExcitationEmfietzoglou.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4eCrossSectionExcitationEmfietzoglou.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4eCrossSectionExcitationEmfietzoglou.hh,v 1.1 2007/05/02 17:18:48 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4eCrossSectionScreenedRutherford.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4eCrossSectionScreenedRutherford.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4eCrossSectionScreenedRutherford.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4eCrossSectionScreenedRutherford.hh,v 1.2 2007/10/12 12:26:34 pia Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4eIonisationCrossSectionHandler.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4eIonisationCrossSectionHandler.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4eIonisationCrossSectionHandler.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eIonisationCrossSectionHandler.hh,v 1.7 2009/01/29 08:13:27 pandola Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4eIonisationParameters.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4eIonisationParameters.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4eIonisationParameters.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4eIonisationParameters.hh,v 1.8 2006/06/29 19:37:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4eIonisationSpectrum.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4eIonisationSpectrum.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4eIonisationSpectrum.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eIonisationSpectrum.hh,v 1.7 2006/06/29 19:37:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4eLowEnergyLoss.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4eLowEnergyLoss.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4eLowEnergyLoss.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4eLowEnergyLoss.hh,v 1.14 2006/06/29 19:37:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4eLowEnergyLoss.icc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4eLowEnergyLoss.icc	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4eLowEnergyLoss.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4eLowEnergyLoss.icc,v 1.8 2006/06/29 19:37:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ---------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4hLowEnergyIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4hLowEnergyIonisation.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4hLowEnergyIonisation.hh	(revision 1228)
@@ -50,5 +50,4 @@
 // 26 Feb    2002 V.Ivanchenko Add initialMass for GenericIons
 // 21 Jan    2003 V.Ivanchenko Cut per region
-// 03 Oct    2009 ALF added SelectShellIonisationCS 
 // ------------------------------------------------------------
  
@@ -176,7 +175,4 @@
   // This method switch on/off simulation of the fluorescence of the media.
 
-  void SelectShellIonisationCS(G4String);
-
-
   G4VParticleChange* AlongStepDoIt(const G4Track& trackData ,
                                    const G4Step& stepData ) ;
@@ -264,5 +260,4 @@
 					          G4double hMass,
 					          G4double eLoss);
-
 
   G4int SelectRandomAtom(const G4MaterialCutsCouple* couple,
@@ -319,4 +314,5 @@
   std::vector<G4VEMDataSet*> zFluoDataVector;
   G4bool theFluo;
+  G4bool expFlag;
 };
 
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4hLowEnergyLoss.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4hLowEnergyLoss.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4hLowEnergyLoss.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4hLowEnergyLoss.hh,v 1.17 2006/06/29 19:37:58 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // $Id: 
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4hLowEnergyLoss.icc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4hLowEnergyLoss.icc	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4hLowEnergyLoss.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4hLowEnergyLoss.icc,v 1.3 2006/06/29 19:38:00 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // $Id:
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4hShellCrossSectionDoubleExp.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4hShellCrossSectionDoubleExp.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4hShellCrossSectionDoubleExp.hh	(revision 1228)
@@ -45,5 +45,5 @@
 // -------------------------------------------------------------------
 // $Id: G4hShellCrossSectionDoubleExp.hh,v 1.3 2006/06/29 19:38:12 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #ifndef G4HSHELLCROSSSECTIONDOUBLEEXP_HH
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4hShellCrossSectionDoubleExpData.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4hShellCrossSectionDoubleExpData.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4hShellCrossSectionDoubleExpData.hh	(revision 1228)
@@ -40,5 +40,5 @@
 // -------------------------------------------------------------------
 // $Id: G4hShellCrossSectionDoubleExpData.hh,v 1.3 2006/06/29 19:38:14 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #ifndef G4hShellCrossSectionDoubleExpData_HH
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4hShellCrossSectionExp.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4hShellCrossSectionExp.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4hShellCrossSectionExp.hh	(revision 1228)
@@ -45,5 +45,5 @@
 // -------------------------------------------------------------------
 // $Id: G4hShellCrossSectionExp.hh,v 1.3 2006/06/29 19:38:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #ifndef G4HSHELLCROSSSECTIONEXP_HH
Index: trunk/source/processes/electromagnetic/lowenergy/include/G4hShellCrossSectionExpData.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4hShellCrossSectionExpData.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4hShellCrossSectionExpData.hh	(revision 1228)
@@ -38,5 +38,5 @@
 // -------------------------------------------------------------------
 // $Id: G4hShellCrossSectionExpData.hh,v 1.3 2006/06/29 19:38:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 
 #ifndef G4hShellCrossSectionExpData_HH
